## org.firebirdsql.management
Interface UserManager

All Superinterfaces:
  ServiceManager

All Known Implementing Classes:
  FBUserManager

    public interface UserManager

extends ServiceManager

The base Firebird Service API functionality.

Author:
  Steven Jardine

Method Summary
`void` `add(User user)` Add a user to the Firebird Security Database.
`void` `delete(User user)` Delete a user to the Firebird Security Database.
`Map` `getUsers()` Return all valid users in the Firebird Security Database.
`void` `update(User user)` Update a user to the Firebird Security Database.

Methods inherited from interface org.firebirdsql.management.ServiceManager
`getDatabase, getHost, getLogger, getPassword, getPort, getUser, setDatabase, setHost, setLogger, setPassword, setPort, setUser`

Method Detail

### add

    void add(User user)
             throws SQLException,
                    IOException

  Add a user to the Firebird Security Database.

  Parameters:
    `user` - to the Firebird Security Database.
  Throws:
    `SQLException`
    `IOException`

### delete

    void delete(User user)
                throws SQLException,
                       IOException

  Delete a user to the Firebird Security Database.

  Parameters:
    `user` - to the Firebird Security Database.
  Throws:
    `SQLException`
    `IOException`

### update

    void update(User user)
                throws SQLException,
                       IOException

  Update a user to the Firebird Security Database.

  Parameters:
    `user` - to the Firebird Security Database.
  Throws:
    `SQLException`
    `IOException`

### getUsers

    Map getUsers()
                 throws SQLException,
                        IOException

  Return all valid users in the Firebird Security Database.

  Returns:
    all valid users in the Firebird Security Database.
  Throws:
    `SQLException`
    `IOException`

Copyright © 2001-2010. All Rights Reserved.